Update Sector
PUT
/api/v1/sectors/{sectorID}
const url = 'https://api.spartanauth.com/api/v1/sectors/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","domain":"example","isDefault":true,"allowedOrigins":["example"],"slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.spartanauth.com/api/v1/sectors/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "domain": "example", "isDefault": true, "allowedOrigins": [ "example" ], "slug": "example" }'Updates the sector’s name, domain, allowed origins, and slug. The slug must be unique across all sectors. Requires the user to be an admin of the sector being updated.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sectorID
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
name
string
domain
string
isDefault
boolean
allowedOrigins
Array<string>
slug
string
Example generated
{ "name": "example", "domain": "example", "isDefault": true, "allowedOrigins": [ "example" ], "slug": "example"}Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
sectorID
string
name
string
domain
string
isDefault
boolean
allowedOrigins
Array<string>
slug
string
Example generated
{ "sectorID": "example", "name": "example", "domain": "example", "isDefault": true, "allowedOrigins": [ "example" ], "slug": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}